// @SOURCE:/home/uyaji/git2/Relation/PartsList/PartsList/conf/routes
// @HASH:615468e62c351549da8f28f0cc487286a8cbfb0f
// @DATE:Tue Aug 06 15:10:19 JST 2013

import Routes.{prefix => _prefix, defaultPrefix => _defaultPrefix}
import play.core._
import play.core.Router._
import play.core.j._
import java.net.URLEncoder

import play.api.mvc._


import Router.queryString


// @LINE:54
// @LINE:52
// @LINE:51
// @LINE:50
// @LINE:49
// @LINE:48
// @LINE:47
// @LINE:46
// @LINE:45
// @LINE:44
// @LINE:43
// @LINE:42
// @LINE:41
// @LINE:40
// @LINE:39
// @LINE:38
// @LINE:37
// @LINE:36
// @LINE:35
// @LINE:34
// @LINE:33
// @LINE:32
// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
// @LINE:27
// @LINE:26
// @LINE:25
// @LINE:24
// @LINE:23
// @LINE:22
// @LINE:21
// @LINE:20
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
// @LINE:6
package controllers {

// @LINE:54
class ReverseAssets {
    

// @LINE:54
def at(file:String): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "assets/" + implicitly[PathBindable[String]].unbind("file", file))
}
                                                
    
}
                          

// @LINE:38
// @LINE:37
// @LINE:36
class ReverseReplyController {
    

// @LINE:36
def createReply(notifyId:Long, replyId:Long, notifyType:Long, replyType:Long, partId:Long, state:Long): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "replyCreate/" + implicitly[PathBindable[Long]].unbind("notifyId", notifyId) + "/" + implicitly[PathBindable[Long]].unbind("replyId", replyId) + "/" + implicitly[PathBindable[Long]].unbind("notifyType", notifyType) + "/" + implicitly[PathBindable[Long]].unbind("replyType", replyType) + "/" + implicitly[PathBindable[Long]].unbind("partId", partId) + "/" + implicitly[PathBindable[Long]].unbind("state", state))
}
                                                

// @LINE:38
def showReply(id:Long, partId:Long, notifyType:Long, replyType:Long, state:Long): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "replyShow" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("id", id)), Some(implicitly[QueryStringBindable[Long]].unbind("partId", partId)), Some(implicitly[QueryStringBindable[Long]].unbind("notifyType", notifyType)), Some(implicitly[QueryStringBindable[Long]].unbind("replyType", replyType)), Some(implicitly[QueryStringBindable[Long]].unbind("state", state)))))
}
                                                

// @LINE:37
def replyRegistration(notifyId:Long, replyId:Long, partId:Long, notifyType:Long, state:Long): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "replySave" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("notifyId", notifyId)), Some(implicitly[QueryStringBindable[Long]].unbind("replyId", replyId)), Some(implicitly[QueryStringBindable[Long]].unbind("partId", partId)), Some(implicitly[QueryStringBindable[Long]].unbind("notifyType", notifyType)), Some(implicitly[QueryStringBindable[Long]].unbind("state", state)))))
}
                                                
    
}
                          

// @LINE:44
// @LINE:22
// @LINE:21
// @LINE:20
// @LINE:19
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
class ReversePartsListController {
    

// @LINE:19
def createRelation(parent:String): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "relationCreate" + queryString(List(Some(implicitly[QueryStringBindable[String]].unbind("parent", parent)))))
}
                                                

// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
def index(opt:Int, page:Int, key:String): Call = {
   (opt: @unchecked, page: @unchecked, key: @unchecked) match {
// @LINE:7
case (opt, page, key) if opt == 0 => Call("GET", _prefix + { _defaultPrefix } + "single_partslist" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[String]].unbind("key", key)))))
                                                        
// @LINE:8
case (opt, page, key) if opt == 1 => Call("GET", _prefix + { _defaultPrefix } + "multi_partslist" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[String]].unbind("key", key)))))
                                                        
// @LINE:9
case (opt, page, key) if opt == 1 => Call("POST", _prefix + { _defaultPrefix } + "multi_partslist" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[String]].unbind("key", key)))))
                                                        
// @LINE:10
case (opt, page, key) if opt == 2 => Call("GET", _prefix + { _defaultPrefix } + "cost_partslist" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[String]].unbind("key", key)))))
                                                        
// @LINE:11
case (opt, page, key) if opt == 3 => Call("GET", _prefix + { _defaultPrefix } + "unit_partslist" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[String]].unbind("key", key)))))
                                                        
   }
}
                                                

// @LINE:22
def relationUpdate(childName:String): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "relationChange" + queryString(List(Some(implicitly[QueryStringBindable[String]].unbind("childName", childName)))))
}
                                                

// @LINE:14
// @LINE:13
// @LINE:12
def upIndex(opt:Int, page:Int, key:String): Call = {
   (opt: @unchecked, page: @unchecked, key: @unchecked) match {
// @LINE:12
case (opt, page, key) if opt == 0 => Call("GET", _prefix + { _defaultPrefix } + "multi_uppartslist" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[String]].unbind("key", key)))))
                                                        
// @LINE:13
case (opt, page, key) if opt == 1 => Call("GET", _prefix + { _defaultPrefix } + "single_uppartslist" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[String]].unbind("key", key)))))
                                                        
// @LINE:14
case (opt, page, key) if opt == 2 => Call("GET", _prefix + { _defaultPrefix } + "top_uppartslist" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[String]].unbind("key", key)))))
                                                        
   }
}
                                                

// @LINE:44
def relationDelete(parentName:String, childName:String): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "relationDelete/" + implicitly[PathBindable[String]].unbind("parentName", URLEncoder.encode(parentName, "utf-8")) + "/" + implicitly[PathBindable[String]].unbind("childName", URLEncoder.encode(childName, "utf-8")))
}
                                                

// @LINE:20
def relationRegistration(): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "relationSave")
}
                                                

// @LINE:21
def updateRelation(parent:String, child:String): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "relationUpdate" + queryString(List(Some(implicitly[QueryStringBindable[String]].unbind("parent", parent)), Some(implicitly[QueryStringBindable[String]].unbind("child", child)))))
}
                                                
    
}
                          

// @LINE:40
// @LINE:27
// @LINE:26
// @LINE:25
// @LINE:24
// @LINE:23
class ReverseProjectController {
    

// @LINE:40
def list(page:Int, key:String): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "projectlist" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[String]].unbind("key", key)))))
}
                                                

// @LINE:25
def updateProject(id:Long): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "projectModify" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("id", id)))))
}
                                                

// @LINE:27
def projectMemberDelete(pid:Long, memberId:Long): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "projectMemberDelete" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("pid", pid)), Some(implicitly[QueryStringBindable[Long]].unbind("memberId", memberId)))))
}
                                                

// @LINE:23
def createProject(): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "projectCreate")
}
                                                

// @LINE:24
def projectRegistration(): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "projectSave")
}
                                                

// @LINE:26
def projectModification(id:Long): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "projectModification" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("id", id)))))
}
                                                
    
}
                          

// @LINE:42
// @LINE:35
// @LINE:34
// @LINE:33
// @LINE:32
class ReverseNotifyController {
    

// @LINE:35
def updateState(id:Long, partId:Long, notifyType:Long, state:Long): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "notifyUpdate" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("id", id)), Some(implicitly[QueryStringBindable[Long]].unbind("partId", partId)), Some(implicitly[QueryStringBindable[Long]].unbind("notifyType", notifyType)), Some(implicitly[QueryStringBindable[Long]].unbind("state", state)))))
}
                                                

// @LINE:32
def createNotify(partId:Long, notifyType:Long): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "notifyCreate/" + implicitly[PathBindable[Long]].unbind("partId", partId) + "/" + implicitly[PathBindable[Long]].unbind("notifyType", notifyType))
}
                                                

// @LINE:34
def showNotify(id:Long, partId:Long, notifyType:Long, state:Long): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "notifyShow" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("id", id)), Some(implicitly[QueryStringBindable[Long]].unbind("partId", partId)), Some(implicitly[QueryStringBindable[Long]].unbind("notifyType", notifyType)), Some(implicitly[QueryStringBindable[Long]].unbind("state", state)))))
}
                                                

// @LINE:42
def listRecursion(page:Int, partId:Long, notifyType:Long, state:Long): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "notifylist" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[Long]].unbind("partId", partId)), Some(implicitly[QueryStringBindable[Long]].unbind("notifyType", notifyType)), Some(implicitly[QueryStringBindable[Long]].unbind("state", state)))))
}
                                                

// @LINE:33
def notifyRegistration(id:Long, notifyType:Long): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "notifySave" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("id", id)), Some(implicitly[QueryStringBindable[Long]].unbind("notifyType", notifyType)))))
}
                                                
    
}
                          

// @LINE:41
// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
class ReverseUserController {
    

// @LINE:29
def userRegistration(): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "userSave")
}
                                                

// @LINE:41
def list(page:Int, key:String): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "userList" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[String]].unbind("key", key)))))
}
                                                

// @LINE:30
def updateUser(id:Long): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "userModify" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("id", id)))))
}
                                                

// @LINE:31
def userModification(id:Long): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "userModification" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("id", id)))))
}
                                                

// @LINE:28
def createUser(): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "userCreate")
}
                                                
    
}
                          

// @LINE:49
// @LINE:48
// @LINE:47
// @LINE:6
class ReverseApplication {
    

// @LINE:48
def upload(): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "upload")
}
                                                

// @LINE:49
def show(): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "show")
}
                                                

// @LINE:6
def index(): Call = {
   Call("GET", _prefix)
}
                                                

// @LINE:47
def picture(): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "picture")
}
                                                
    
}
                          

// @LINE:46
// @LINE:45
// @LINE:43
// @LINE:39
// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
class ReversePartsMasterController {
    

// @LINE:39
def list(page:Int, key:String): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "list" + queryString(List(Some(implicitly[QueryStringBindable[Int]].unbind("page", page)), Some(implicitly[QueryStringBindable[String]].unbind("key", key)))))
}
                                                

// @LINE:46
def dropAtach(id:Long): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "dropAtach" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("id", id)))))
}
                                                

// @LINE:43
def partDelete(id:Long): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "partDelete/" + implicitly[PathBindable[Long]].unbind("id", id))
}
                                                

// @LINE:15
def create(): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "partCreate")
}
                                                

// @LINE:16
def update(id:Long): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "partModify" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("id", id)))))
}
                                                

// @LINE:18
def partModification(id:Long): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "partModification" + queryString(List(Some(implicitly[QueryStringBindable[Long]].unbind("id", id)))))
}
                                                

// @LINE:45
def showAtach(fileName:String, contentType:String): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "showAtach" + queryString(List(Some(implicitly[QueryStringBindable[String]].unbind("fileName", fileName)), Some(implicitly[QueryStringBindable[String]].unbind("contentType", contentType)))))
}
                                                

// @LINE:17
def partRegistration(): Call = {
   Call("POST", _prefix + { _defaultPrefix } + "partSave")
}
                                                
    
}
                          

// @LINE:52
// @LINE:51
// @LINE:50
class ReverseAutocomplete {
    

// @LINE:52
def userList(): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "userAutocomplete")
}
                                                

// @LINE:50
def projectList(): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "projectAutocomple")
}
                                                

// @LINE:51
def partList(): Call = {
   Call("GET", _prefix + { _defaultPrefix } + "partAutocomplete")
}
                                                
    
}
                          
}
                  


// @LINE:54
// @LINE:52
// @LINE:51
// @LINE:50
// @LINE:49
// @LINE:48
// @LINE:47
// @LINE:46
// @LINE:45
// @LINE:44
// @LINE:43
// @LINE:42
// @LINE:41
// @LINE:40
// @LINE:39
// @LINE:38
// @LINE:37
// @LINE:36
// @LINE:35
// @LINE:34
// @LINE:33
// @LINE:32
// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
// @LINE:27
// @LINE:26
// @LINE:25
// @LINE:24
// @LINE:23
// @LINE:22
// @LINE:21
// @LINE:20
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
// @LINE:6
package controllers.javascript {

// @LINE:54
class ReverseAssets {
    

// @LINE:54
def at : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.Assets.at",
   """
      function(file) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "assets/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("file", file)})
      }
   """
)
                        
    
}
              

// @LINE:38
// @LINE:37
// @LINE:36
class ReverseReplyController {
    

// @LINE:36
def createReply : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.ReplyController.createReply",
   """
      function(notifyId,replyId,notifyType,replyType,partId,state) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "replyCreate/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("notifyId", notifyId) + "/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("replyId", replyId) + "/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("notifyType", notifyType) + "/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("replyType", replyType) + "/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("partId", partId) + "/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("state", state)})
      }
   """
)
                        

// @LINE:38
def showReply : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.ReplyController.showReply",
   """
      function(id,partId,notifyType,replyType,state) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "replyShow" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("id", id), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("partId", partId), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("notifyType", notifyType), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("replyType", replyType), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("state", state)])})
      }
   """
)
                        

// @LINE:37
def replyRegistration : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.ReplyController.replyRegistration",
   """
      function(notifyId,replyId,partId,notifyType,state) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "replySave" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("notifyId", notifyId), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("replyId", replyId), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("partId", partId), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("notifyType", notifyType), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("state", state)])})
      }
   """
)
                        
    
}
              

// @LINE:44
// @LINE:22
// @LINE:21
// @LINE:20
// @LINE:19
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
class ReversePartsListController {
    

// @LINE:19
def createRelation : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsListController.createRelation",
   """
      function(parent) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "relationCreate" + _qS([(""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("parent", parent)])})
      }
   """
)
                        

// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
def index : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsListController.index",
   """
      function(opt, page, key) {
      if (opt == """ + implicitly[JavascriptLitteral[Int]].to(0) + """) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "single_partslist" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("key", key)])})
      }
      if (opt == """ + implicitly[JavascriptLitteral[Int]].to(1) + """) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "multi_partslist" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("key", key)])})
      }
      if (opt == """ + implicitly[JavascriptLitteral[Int]].to(1) + """) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "multi_partslist" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("key", key)])})
      }
      if (opt == """ + implicitly[JavascriptLitteral[Int]].to(2) + """) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "cost_partslist" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("key", key)])})
      }
      if (opt == """ + implicitly[JavascriptLitteral[Int]].to(3) + """) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "unit_partslist" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("key", key)])})
      }
      }
   """
)
                        

// @LINE:22
def relationUpdate : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsListController.relationUpdate",
   """
      function(childName) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "relationChange" + _qS([(""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("childName", childName)])})
      }
   """
)
                        

// @LINE:14
// @LINE:13
// @LINE:12
def upIndex : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsListController.upIndex",
   """
      function(opt, page, key) {
      if (opt == """ + implicitly[JavascriptLitteral[Int]].to(0) + """) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "multi_uppartslist" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("key", key)])})
      }
      if (opt == """ + implicitly[JavascriptLitteral[Int]].to(1) + """) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "single_uppartslist" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("key", key)])})
      }
      if (opt == """ + implicitly[JavascriptLitteral[Int]].to(2) + """) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "top_uppartslist" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("key", key)])})
      }
      }
   """
)
                        

// @LINE:44
def relationDelete : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsListController.relationDelete",
   """
      function(parentName,childName) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "relationDelete/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("parentName", encodeURIComponent(parentName)) + "/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("childName", encodeURIComponent(childName))})
      }
   """
)
                        

// @LINE:20
def relationRegistration : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsListController.relationRegistration",
   """
      function() {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "relationSave"})
      }
   """
)
                        

// @LINE:21
def updateRelation : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsListController.updateRelation",
   """
      function(parent,child) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "relationUpdate" + _qS([(""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("parent", parent), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("child", child)])})
      }
   """
)
                        
    
}
              

// @LINE:40
// @LINE:27
// @LINE:26
// @LINE:25
// @LINE:24
// @LINE:23
class ReverseProjectController {
    

// @LINE:40
def list : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.ProjectController.list",
   """
      function(page,key) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "projectlist" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("key", key)])})
      }
   """
)
                        

// @LINE:25
def updateProject : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.ProjectController.updateProject",
   """
      function(id) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "projectModify" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("id", id)])})
      }
   """
)
                        

// @LINE:27
def projectMemberDelete : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.ProjectController.projectMemberDelete",
   """
      function(pid,memberId) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "projectMemberDelete" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("pid", pid), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("memberId", memberId)])})
      }
   """
)
                        

// @LINE:23
def createProject : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.ProjectController.createProject",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "projectCreate"})
      }
   """
)
                        

// @LINE:24
def projectRegistration : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.ProjectController.projectRegistration",
   """
      function() {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "projectSave"})
      }
   """
)
                        

// @LINE:26
def projectModification : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.ProjectController.projectModification",
   """
      function(id) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "projectModification" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("id", id)])})
      }
   """
)
                        
    
}
              

// @LINE:42
// @LINE:35
// @LINE:34
// @LINE:33
// @LINE:32
class ReverseNotifyController {
    

// @LINE:35
def updateState : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.NotifyController.updateState",
   """
      function(id,partId,notifyType,state) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "notifyUpdate" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("id", id), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("partId", partId), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("notifyType", notifyType), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("state", state)])})
      }
   """
)
                        

// @LINE:32
def createNotify : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.NotifyController.createNotify",
   """
      function(partId,notifyType) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "notifyCreate/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("partId", partId) + "/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("notifyType", notifyType)})
      }
   """
)
                        

// @LINE:34
def showNotify : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.NotifyController.showNotify",
   """
      function(id,partId,notifyType,state) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "notifyShow" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("id", id), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("partId", partId), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("notifyType", notifyType), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("state", state)])})
      }
   """
)
                        

// @LINE:42
def listRecursion : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.NotifyController.listRecursion",
   """
      function(page,partId,notifyType,state) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "notifylist" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("partId", partId), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("notifyType", notifyType), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("state", state)])})
      }
   """
)
                        

// @LINE:33
def notifyRegistration : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.NotifyController.notifyRegistration",
   """
      function(id,notifyType) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "notifySave" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("id", id), (""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("notifyType", notifyType)])})
      }
   """
)
                        
    
}
              

// @LINE:41
// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
class ReverseUserController {
    

// @LINE:29
def userRegistration : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.UserController.userRegistration",
   """
      function() {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "userSave"})
      }
   """
)
                        

// @LINE:41
def list : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.UserController.list",
   """
      function(page,key) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "userList" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("key", key)])})
      }
   """
)
                        

// @LINE:30
def updateUser : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.UserController.updateUser",
   """
      function(id) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "userModify" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("id", id)])})
      }
   """
)
                        

// @LINE:31
def userModification : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.UserController.userModification",
   """
      function(id) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "userModification" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("id", id)])})
      }
   """
)
                        

// @LINE:28
def createUser : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.UserController.createUser",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "userCreate"})
      }
   """
)
                        
    
}
              

// @LINE:49
// @LINE:48
// @LINE:47
// @LINE:6
class ReverseApplication {
    

// @LINE:48
def upload : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.Application.upload",
   """
      function() {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "upload"})
      }
   """
)
                        

// @LINE:49
def show : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.Application.show",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "show"})
      }
   """
)
                        

// @LINE:6
def index : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.Application.index",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + """"})
      }
   """
)
                        

// @LINE:47
def picture : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.Application.picture",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "picture"})
      }
   """
)
                        
    
}
              

// @LINE:46
// @LINE:45
// @LINE:43
// @LINE:39
// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
class ReversePartsMasterController {
    

// @LINE:39
def list : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsMasterController.list",
   """
      function(page,key) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "list" + _qS([(""" + implicitly[QueryStringBindable[Int]].javascriptUnbind + """)("page", page), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("key", key)])})
      }
   """
)
                        

// @LINE:46
def dropAtach : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsMasterController.dropAtach",
   """
      function(id) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "dropAtach" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("id", id)])})
      }
   """
)
                        

// @LINE:43
def partDelete : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsMasterController.partDelete",
   """
      function(id) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "partDelete/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id)})
      }
   """
)
                        

// @LINE:15
def create : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsMasterController.create",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "partCreate"})
      }
   """
)
                        

// @LINE:16
def update : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsMasterController.update",
   """
      function(id) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "partModify" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("id", id)])})
      }
   """
)
                        

// @LINE:18
def partModification : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsMasterController.partModification",
   """
      function(id) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "partModification" + _qS([(""" + implicitly[QueryStringBindable[Long]].javascriptUnbind + """)("id", id)])})
      }
   """
)
                        

// @LINE:45
def showAtach : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsMasterController.showAtach",
   """
      function(fileName,contentType) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "showAtach" + _qS([(""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("fileName", fileName), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("contentType", contentType)])})
      }
   """
)
                        

// @LINE:17
def partRegistration : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.PartsMasterController.partRegistration",
   """
      function() {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "partSave"})
      }
   """
)
                        
    
}
              

// @LINE:52
// @LINE:51
// @LINE:50
class ReverseAutocomplete {
    

// @LINE:52
def userList : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.Autocomplete.userList",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "userAutocomplete"})
      }
   """
)
                        

// @LINE:50
def projectList : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.Autocomplete.projectList",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "projectAutocomple"})
      }
   """
)
                        

// @LINE:51
def partList : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.Autocomplete.partList",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "partAutocomplete"})
      }
   """
)
                        
    
}
              
}
        


// @LINE:54
// @LINE:52
// @LINE:51
// @LINE:50
// @LINE:49
// @LINE:48
// @LINE:47
// @LINE:46
// @LINE:45
// @LINE:44
// @LINE:43
// @LINE:42
// @LINE:41
// @LINE:40
// @LINE:39
// @LINE:38
// @LINE:37
// @LINE:36
// @LINE:35
// @LINE:34
// @LINE:33
// @LINE:32
// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
// @LINE:27
// @LINE:26
// @LINE:25
// @LINE:24
// @LINE:23
// @LINE:22
// @LINE:21
// @LINE:20
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
// @LINE:6
package controllers.ref {

// @LINE:54
class ReverseAssets {
    

// @LINE:54
def at(path:String, file:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.Assets.at(path, file), HandlerDef(this, "controllers.Assets", "at", Seq(classOf[String], classOf[String]), "GET", """ Map static resources from the /public folder to the /assets URL path""", _prefix + """assets/$file<.+>""")
)
                      
    
}
                          

// @LINE:38
// @LINE:37
// @LINE:36
class ReverseReplyController {
    

// @LINE:36
def createReply(notifyId:Long, replyId:Long, notifyType:Long, replyType:Long, partId:Long, state:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.ReplyController.createReply(notifyId, replyId, notifyType, replyType, partId, state), HandlerDef(this, "controllers.ReplyController", "createReply", Seq(classOf[Long], classOf[Long], classOf[Long], classOf[Long], classOf[Long], classOf[Long]), "GET", """""", _prefix + """replyCreate/$notifyId<[^/]+>/$replyId<[^/]+>/$notifyType<[^/]+>/$replyType<[^/]+>/$partId<[^/]+>/$state<[^/]+>""")
)
                      

// @LINE:38
def showReply(id:Long, partId:Long, notifyType:Long, replyType:Long, state:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.ReplyController.showReply(id, partId, notifyType, replyType, state), HandlerDef(this, "controllers.ReplyController", "showReply", Seq(classOf[Long], classOf[Long], classOf[Long], classOf[Long], classOf[Long]), "GET", """""", _prefix + """replyShow""")
)
                      

// @LINE:37
def replyRegistration(notifyId:Long, replyId:Long, partId:Long, notifyType:Long, state:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.ReplyController.replyRegistration(notifyId, replyId, partId, notifyType, state), HandlerDef(this, "controllers.ReplyController", "replyRegistration", Seq(classOf[Long], classOf[Long], classOf[Long], classOf[Long], classOf[Long]), "POST", """""", _prefix + """replySave""")
)
                      
    
}
                          

// @LINE:44
// @LINE:22
// @LINE:21
// @LINE:20
// @LINE:19
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
class ReversePartsListController {
    

// @LINE:19
def createRelation(parent:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsListController.createRelation(parent), HandlerDef(this, "controllers.PartsListController", "createRelation", Seq(classOf[String]), "GET", """""", _prefix + """relationCreate""")
)
                      

// @LINE:7
def index(opt:Int, page:Int, key:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsListController.index(opt, page, key), HandlerDef(this, "controllers.PartsListController", "index", Seq(classOf[Int], classOf[Int], classOf[String]), "GET", """""", _prefix + """single_partslist""")
)
                      

// @LINE:22
def relationUpdate(childName:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsListController.relationUpdate(childName), HandlerDef(this, "controllers.PartsListController", "relationUpdate", Seq(classOf[String]), "POST", """""", _prefix + """relationChange""")
)
                      

// @LINE:12
def upIndex(opt:Int, page:Int, key:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsListController.upIndex(opt, page, key), HandlerDef(this, "controllers.PartsListController", "upIndex", Seq(classOf[Int], classOf[Int], classOf[String]), "GET", """""", _prefix + """multi_uppartslist""")
)
                      

// @LINE:44
def relationDelete(parentName:String, childName:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsListController.relationDelete(parentName, childName), HandlerDef(this, "controllers.PartsListController", "relationDelete", Seq(classOf[String], classOf[String]), "GET", """""", _prefix + """relationDelete/$parentName<[^/]+>/$childName<[^/]+>""")
)
                      

// @LINE:20
def relationRegistration(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsListController.relationRegistration(), HandlerDef(this, "controllers.PartsListController", "relationRegistration", Seq(), "POST", """""", _prefix + """relationSave""")
)
                      

// @LINE:21
def updateRelation(parent:String, child:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsListController.updateRelation(parent, child), HandlerDef(this, "controllers.PartsListController", "updateRelation", Seq(classOf[String], classOf[String]), "GET", """""", _prefix + """relationUpdate""")
)
                      
    
}
                          

// @LINE:40
// @LINE:27
// @LINE:26
// @LINE:25
// @LINE:24
// @LINE:23
class ReverseProjectController {
    

// @LINE:40
def list(page:Int, key:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.ProjectController.list(page, key), HandlerDef(this, "controllers.ProjectController", "list", Seq(classOf[Int], classOf[String]), "GET", """""", _prefix + """projectlist""")
)
                      

// @LINE:25
def updateProject(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.ProjectController.updateProject(id), HandlerDef(this, "controllers.ProjectController", "updateProject", Seq(classOf[Long]), "GET", """""", _prefix + """projectModify""")
)
                      

// @LINE:27
def projectMemberDelete(pid:Long, memberId:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.ProjectController.projectMemberDelete(pid, memberId), HandlerDef(this, "controllers.ProjectController", "projectMemberDelete", Seq(classOf[Long], classOf[Long]), "GET", """""", _prefix + """projectMemberDelete""")
)
                      

// @LINE:23
def createProject(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.ProjectController.createProject(), HandlerDef(this, "controllers.ProjectController", "createProject", Seq(), "GET", """""", _prefix + """projectCreate""")
)
                      

// @LINE:24
def projectRegistration(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.ProjectController.projectRegistration(), HandlerDef(this, "controllers.ProjectController", "projectRegistration", Seq(), "POST", """""", _prefix + """projectSave""")
)
                      

// @LINE:26
def projectModification(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.ProjectController.projectModification(id), HandlerDef(this, "controllers.ProjectController", "projectModification", Seq(classOf[Long]), "POST", """""", _prefix + """projectModification""")
)
                      
    
}
                          

// @LINE:42
// @LINE:35
// @LINE:34
// @LINE:33
// @LINE:32
class ReverseNotifyController {
    

// @LINE:35
def updateState(id:Long, partId:Long, notifyType:Long, state:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.NotifyController.updateState(id, partId, notifyType, state), HandlerDef(this, "controllers.NotifyController", "updateState", Seq(classOf[Long], classOf[Long], classOf[Long], classOf[Long]), "POST", """""", _prefix + """notifyUpdate""")
)
                      

// @LINE:32
def createNotify(partId:Long, notifyType:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.NotifyController.createNotify(partId, notifyType), HandlerDef(this, "controllers.NotifyController", "createNotify", Seq(classOf[Long], classOf[Long]), "GET", """""", _prefix + """notifyCreate/$partId<[^/]+>/$notifyType<[^/]+>""")
)
                      

// @LINE:34
def showNotify(id:Long, partId:Long, notifyType:Long, state:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.NotifyController.showNotify(id, partId, notifyType, state), HandlerDef(this, "controllers.NotifyController", "showNotify", Seq(classOf[Long], classOf[Long], classOf[Long], classOf[Long]), "GET", """""", _prefix + """notifyShow""")
)
                      

// @LINE:42
def listRecursion(page:Int, partId:Long, notifyType:Long, state:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.NotifyController.listRecursion(page, partId, notifyType, state), HandlerDef(this, "controllers.NotifyController", "listRecursion", Seq(classOf[Int], classOf[Long], classOf[Long], classOf[Long]), "GET", """""", _prefix + """notifylist""")
)
                      

// @LINE:33
def notifyRegistration(id:Long, notifyType:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.NotifyController.notifyRegistration(id, notifyType), HandlerDef(this, "controllers.NotifyController", "notifyRegistration", Seq(classOf[Long], classOf[Long]), "POST", """""", _prefix + """notifySave""")
)
                      
    
}
                          

// @LINE:41
// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
class ReverseUserController {
    

// @LINE:29
def userRegistration(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.UserController.userRegistration(), HandlerDef(this, "controllers.UserController", "userRegistration", Seq(), "POST", """""", _prefix + """userSave""")
)
                      

// @LINE:41
def list(page:Int, key:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.UserController.list(page, key), HandlerDef(this, "controllers.UserController", "list", Seq(classOf[Int], classOf[String]), "GET", """""", _prefix + """userList""")
)
                      

// @LINE:30
def updateUser(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.UserController.updateUser(id), HandlerDef(this, "controllers.UserController", "updateUser", Seq(classOf[Long]), "GET", """""", _prefix + """userModify""")
)
                      

// @LINE:31
def userModification(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.UserController.userModification(id), HandlerDef(this, "controllers.UserController", "userModification", Seq(classOf[Long]), "POST", """""", _prefix + """userModification""")
)
                      

// @LINE:28
def createUser(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.UserController.createUser(), HandlerDef(this, "controllers.UserController", "createUser", Seq(), "GET", """""", _prefix + """userCreate""")
)
                      
    
}
                          

// @LINE:49
// @LINE:48
// @LINE:47
// @LINE:6
class ReverseApplication {
    

// @LINE:48
def upload(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.Application.upload(), HandlerDef(this, "controllers.Application", "upload", Seq(), "POST", """""", _prefix + """upload""")
)
                      

// @LINE:49
def show(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.Application.show(), HandlerDef(this, "controllers.Application", "show", Seq(), "GET", """""", _prefix + """show""")
)
                      

// @LINE:6
def index(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.Application.index(), HandlerDef(this, "controllers.Application", "index", Seq(), "GET", """ Home page""", _prefix + """""")
)
                      

// @LINE:47
def picture(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.Application.picture(), HandlerDef(this, "controllers.Application", "picture", Seq(), "GET", """""", _prefix + """picture""")
)
                      
    
}
                          

// @LINE:46
// @LINE:45
// @LINE:43
// @LINE:39
// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
class ReversePartsMasterController {
    

// @LINE:39
def list(page:Int, key:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsMasterController.list(page, key), HandlerDef(this, "controllers.PartsMasterController", "list", Seq(classOf[Int], classOf[String]), "GET", """""", _prefix + """list""")
)
                      

// @LINE:46
def dropAtach(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsMasterController.dropAtach(id), HandlerDef(this, "controllers.PartsMasterController", "dropAtach", Seq(classOf[Long]), "GET", """""", _prefix + """dropAtach""")
)
                      

// @LINE:43
def partDelete(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsMasterController.partDelete(id), HandlerDef(this, "controllers.PartsMasterController", "partDelete", Seq(classOf[Long]), "GET", """""", _prefix + """partDelete/$id<[^/]+>""")
)
                      

// @LINE:15
def create(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsMasterController.create(), HandlerDef(this, "controllers.PartsMasterController", "create", Seq(), "GET", """""", _prefix + """partCreate""")
)
                      

// @LINE:16
def update(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsMasterController.update(id), HandlerDef(this, "controllers.PartsMasterController", "update", Seq(classOf[Long]), "GET", """""", _prefix + """partModify""")
)
                      

// @LINE:18
def partModification(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsMasterController.partModification(id), HandlerDef(this, "controllers.PartsMasterController", "partModification", Seq(classOf[Long]), "POST", """""", _prefix + """partModification""")
)
                      

// @LINE:45
def showAtach(fileName:String, contentType:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsMasterController.showAtach(fileName, contentType), HandlerDef(this, "controllers.PartsMasterController", "showAtach", Seq(classOf[String], classOf[String]), "GET", """""", _prefix + """showAtach""")
)
                      

// @LINE:17
def partRegistration(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.PartsMasterController.partRegistration(), HandlerDef(this, "controllers.PartsMasterController", "partRegistration", Seq(), "POST", """""", _prefix + """partSave""")
)
                      
    
}
                          

// @LINE:52
// @LINE:51
// @LINE:50
class ReverseAutocomplete {
    

// @LINE:52
def userList(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.Autocomplete.userList(), HandlerDef(this, "controllers.Autocomplete", "userList", Seq(), "GET", """""", _prefix + """userAutocomplete""")
)
                      

// @LINE:50
def projectList(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.Autocomplete.projectList(), HandlerDef(this, "controllers.Autocomplete", "projectList", Seq(), "GET", """""", _prefix + """projectAutocomple""")
)
                      

// @LINE:51
def partList(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.Autocomplete.partList(), HandlerDef(this, "controllers.Autocomplete", "partList", Seq(), "GET", """""", _prefix + """partAutocomplete""")
)
                      
    
}
                          
}
                  
      